Package org.jfree.report.util

## Class MessageFormatSupport.MessageCompiler

- java.lang.Object
- - org.jfree.report.util.PropertyLookupParser
  - - org.jfree.report.util.MessageFormatSupport.MessageCompiler

- All Implemented Interfaces:
    `java.io.Serializable`
  Enclosing class:
    MessageFormatSupport

      protected static class MessageFormatSupport.MessageCompiler
      extends PropertyLookupParser

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MessageCompiler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String[]` | `getFields()` |
    `protected java.lang.String` | `lookupVariable​(java.lang.String name)` | Looks up the property with the given name.

    - ### Methods inherited from class org.jfree.report.util.PropertyLookupParser

      `getClosingBraceChar, getEscapeChar, getMarkerChar, getOpeningBraceChar, setClosingBraceChar, setEscapeChar, setMarkerChar, setOpeningBraceChar, translateAndLookup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageCompiler

          public MessageCompiler()

  - ### Method Detail

    - #### lookupVariable

          protected java.lang.String lookupVariable​(java.lang.String name)

      Description copied from class: `PropertyLookupParser`
      Looks up the property with the given name.
      Specified by:
        `lookupVariable` in class `PropertyLookupParser`
      Parameters:
        `name` - the name of the property to look up.
      Returns:
        the translated value.

    - #### getFields

          public java.lang.String[] getFields()